Bug 967368 - Don't crash when an identity could not be looked up
Don't crash when an identity could not be looked up
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-online-accounts (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Debarshi Ray
Desktop QE
abrt_hash:8e57ff10a4a222336864059252f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 17:32 EDT by Matěj Cepl
Modified: 2014-10-20 11:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: gnome-online-accounts-3.8.5-8.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 09:56:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.06 KB, text/plain)
2013-05-26 17:33 EDT, Matěj Cepl
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-26 17:33 EDT, Matěj Cepl
no flags Details
File: core_backtrace (1.41 KB, text/plain)
2013-05-26 17:33 EDT, Matěj Cepl
no flags Details
File: dso_list (10.39 KB, text/plain)
2013-05-26 17:33 EDT, Matěj Cepl
no flags Details
File: environ (1.18 KB, text/plain)
2013-05-26 17:33 EDT, Matěj Cepl
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-26 17:33 EDT, Matěj Cepl
no flags Details
File: maps (52.09 KB, text/plain)
2013-05-26 17:33 EDT, Matěj Cepl
no flags Details
File: open_fds (1.07 KB, text/plain)
2013-05-26 17:33 EDT, Matěj Cepl
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2013-05-26 17:33 EDT, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 699491 None None None Never

  None (edit)
Description Matěj Cepl 2013-05-26 17:32:58 EDT
Version-Release number of selected component:
gnome-online-accounts-3.8.2-1.el7

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/goa-daemon
crash_function: goa_identity_service_identity_get_expiration_timestamp
executable:     /usr/libexec/goa-daemon
kernel:         3.9.0-0.rc8.54.el7.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: May 26 23:11:40 wycliff abrt[19838]: Saved core dump of pid 3076 (/usr/libexec/goa-daemon) to /var/tmp/abrt/ccpp-2013-05-26-23:11:40-3076 (58970112 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 goa_identity_service_identity_get_expiration_timestamp at ../../src/goaidentity/org.gnome.Identity.c:1650
 #1 ensure_credentials_sync at goakerberosprovider.c:1893
 #2 ensure_credentials_in_thread_func at goaprovider.c:440
 #3 run_in_thread at gsimpleasyncresult.c:871
 #4 io_job_thread at gioscheduler.c:89
 #5 g_task_thread_pool_thread at gtask.c:1242
 #7 g_thread_proxy at gthread.c:798
Comment 1 Matěj Cepl 2013-05-26 17:33:08 EDT
Created attachment 753390 [details]
File: backtrace
Comment 2 Matěj Cepl 2013-05-26 17:33:13 EDT
Created attachment 753391 [details]
File: cgroup
Comment 3 Matěj Cepl 2013-05-26 17:33:16 EDT
Created attachment 753392 [details]
File: core_backtrace
Comment 4 Matěj Cepl 2013-05-26 17:33:19 EDT
Created attachment 753393 [details]
File: dso_list
Comment 5 Matěj Cepl 2013-05-26 17:33:22 EDT
Created attachment 753394 [details]
File: environ
Comment 6 Matěj Cepl 2013-05-26 17:33:25 EDT
Created attachment 753395 [details]
File: limits
Comment 7 Matěj Cepl 2013-05-26 17:33:28 EDT
Created attachment 753396 [details]
File: maps
Comment 8 Matěj Cepl 2013-05-26 17:33:31 EDT
Created attachment 753397 [details]
File: open_fds
Comment 9 Matěj Cepl 2013-05-26 17:33:34 EDT
Created attachment 753398 [details]
File: proc_pid_status
Comment 11 RHEL Product and Program Management 2014-03-22 02:47:51 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 12 Debarshi Ray 2014-04-04 09:12:36 EDT
This was fixed in this upstream commit:

commit f7bc7421a751b7ddeb7f2ad6e5d0a01c78f7405e
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed Aug 28 19:35:26 2013 +0200

    kerberos: Don't crash when an identity could not be looked up
    
    Set an error in look_up_identity instead of only setting the op_res to
    NULL, so that ensure_credentials_sync catches it.
    
    Hold a reference to the GoaKerberosIdentity object when queueing a
    notify. It is safer than trying to disconnect the source in dispose. We
    were not checking for all the idle sources, and even if we did, it can
    be racy if the object was getting disposed from a different thread.
    
    Fixes: https://bugzilla.gnome.org/699491

The fix was pulled into RHEL7 when we built the gnome-online-accounts-3.8.3 bug-fix release (the bug was against gnome-online-accounts-3.8.2).
Comment 13 Matěj Cepl 2014-04-04 09:56:38 EDT
Yes, I don't think I can see it anymore. Got fixed somehow on the way.

Note You need to log in before you can comment on or make changes to this bug.